[arch-commits] Commit in flex/repos (6 files)

Allan McRae allan at nymeria.archlinux.org
Thu Feb 13 02:14:53 UTC 2014


    Date: Thursday, February 13, 2014 @ 03:14:52
  Author: allan
Revision: 205888

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  flex/repos/testing-i686/
  flex/repos/testing-i686/PKGBUILD
    (from rev 205887, flex/trunk/PKGBUILD)
  flex/repos/testing-i686/flex.install
    (from rev 205887, flex/trunk/flex.install)
  flex/repos/testing-x86_64/
  flex/repos/testing-x86_64/PKGBUILD
    (from rev 205887, flex/trunk/PKGBUILD)
  flex/repos/testing-x86_64/flex.install
    (from rev 205887, flex/trunk/flex.install)

-----------------------------+
 testing-i686/PKGBUILD       |   42 ++++++++++++++++++++++++++++++++++++++++++
 testing-i686/flex.install   |   22 ++++++++++++++++++++++
 testing-x86_64/PKGBUILD     |   42 ++++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/flex.install |   22 ++++++++++++++++++++++
 4 files changed, 128 insertions(+)

Copied: flex/repos/testing-i686/PKGBUILD (from rev 205887, flex/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2014-02-13 02:14:52 UTC (rev 205888)
@@ -0,0 +1,42 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=flex
+pkgver=2.5.38
+pkgrel=1
+pkgdesc="A tool for generating text-scanning programs"
+arch=('i686' 'x86_64')
+url="http://flex.sourceforge.net"
+license=('custom')
+groups=('base-devel')
+depends=('glibc' 'm4' 'sh')
+install=flex.install
+source=(http://downloads.sourceforge.net/sourceforge/flex/flex-$pkgver.tar.bz2)
+md5sums=('b230c88e65996ff74994d08a2a2e0f27')
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd $srcdir/$pkgname-$pkgver
+  
+  # these tests are incompatible with latest bison
+  sed -i -e '/test-bison-yylloc/d' -e '/test-bison-yylval/d' tests/Makefile.in
+
+  make check
+}
+
+package() {
+  cd $srcdir/$pkgname-$pkgver
+
+  make DESTDIR=$pkgdir install
+  ln -s flex ${pkgdir}/usr/bin/lex
+
+  install -Dm644 COPYING \
+  	$pkgdir/usr/share/licenses/$pkgname/license.txt
+}
+

Copied: flex/repos/testing-i686/flex.install (from rev 205887, flex/trunk/flex.install)
===================================================================
--- testing-i686/flex.install	                        (rev 0)
+++ testing-i686/flex.install	2014-02-13 02:14:52 UTC (rev 205888)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(flex.info{,-1,-2})
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Copied: flex/repos/testing-x86_64/PKGBUILD (from rev 205887, flex/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2014-02-13 02:14:52 UTC (rev 205888)
@@ -0,0 +1,42 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=flex
+pkgver=2.5.38
+pkgrel=1
+pkgdesc="A tool for generating text-scanning programs"
+arch=('i686' 'x86_64')
+url="http://flex.sourceforge.net"
+license=('custom')
+groups=('base-devel')
+depends=('glibc' 'm4' 'sh')
+install=flex.install
+source=(http://downloads.sourceforge.net/sourceforge/flex/flex-$pkgver.tar.bz2)
+md5sums=('b230c88e65996ff74994d08a2a2e0f27')
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd $srcdir/$pkgname-$pkgver
+  
+  # these tests are incompatible with latest bison
+  sed -i -e '/test-bison-yylloc/d' -e '/test-bison-yylval/d' tests/Makefile.in
+
+  make check
+}
+
+package() {
+  cd $srcdir/$pkgname-$pkgver
+
+  make DESTDIR=$pkgdir install
+  ln -s flex ${pkgdir}/usr/bin/lex
+
+  install -Dm644 COPYING \
+  	$pkgdir/usr/share/licenses/$pkgname/license.txt
+}
+

Copied: flex/repos/testing-x86_64/flex.install (from rev 205887, flex/trunk/flex.install)
===================================================================
--- testing-x86_64/flex.install	                        (rev 0)
+++ testing-x86_64/flex.install	2014-02-13 02:14:52 UTC (rev 205888)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(flex.info{,-1,-2})
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:




More information about the arch-commits mailing list